$block: tapbar;

.#{$block} {
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 3000;
	height: 119px;
	position: fixed;
	background: url("../img/tapbar__bg.svg") 50% 100% no-repeat;

	&__wrap {
		max-width: 380px;
		margin: 0 auto;
		height: 119px;
		position: relative;
	}

	&__cart {
		top: 0;
		font-size: 0;
		line-height: 0;
		left: calc(50% - 48px);
		width: 96px;
		height: 96px;
		display: block;
		border-radius: 50%;
		position: absolute;
		background: $black;
		border: 5px solid $gray-200;

		&--main {
			top: calc(50% - 26px);
			left: calc(50% - 22px);
			width: 44px;
			height: 52px;
			position: absolute;
		}

		&--icon {
			display: block;
			position: relative;
		}

		&--counter {
			top: 0;
			left: calc(50% - 10px);
			width: 20px;
			height: 20px;
			z-index: 30;
			border-radius: 50%;
			position: absolute;
			padding: 2px 0;
			color: $white;
			text-align: center;
			font-size: font-size-rel(14px);
			line-height: font-size-rel(16px);
			background: $purple-100;
		}

		&--summary {
			z-index: 60;
			width: 200px;
			top: -15px;
			text-align: center;
			left: calc(50% - 100px);
			position: absolute;
		}

		&--value {
			height: 28px;
			color: $black;
			background: #fff;
			padding: 5px 10px;
			border-radius: 15px;
			position: relative;
			display: inline-block;
			border: 1px solid $black;
			font-size: font-size-rel(14px);
			line-height: font-size-rel(16px);

			&:before {
				left: calc(50% - 6px);
				top: calc(100% - 2px);
				content: '';
				display: block;
				position: absolute;
				border: 6px solid transparent;
				border-top: 6px solid $white;
			}
		}
	}

	&__home {
		z-index: 10;
		width: 136px;
		height: 5px;
		bottom: 8px;
		left: calc(50% - 68px);
		border-radius: 3px;
		position: absolute;
		background: rgba(255,255,255,0.4);
	}

	&__nav {
		margin: 0 -5px;
		padding-top: 40px;
		display: flex;
		align-items: center;
		justify-content: space-between;

		&--left {
			display: flex;
			align-items: center;
		}

		&--right {
			display: flex;
			align-items: center;
		}
	}

	&__button {
		margin: 0 5px;
		padding: 5px;
		color: #fff;
		display: block;
		text-align: center;
		text-decoration: none;

		i {
			width: 29px;
			height: 29px;
			display: inline-block;
		}

		span {
			display: block;
			font-size: 12px;
			line-height: 14px;
			text-decoration: none;
		}

		svg {
			stroke: $white;
		}

		&.active {
			color: $black;

			svg {
				stroke: $black;
			}
		}
	}

	@media (min-width: 567px) {
		background: url("../img/tapbar__bg_sm.svg") 50% 100% no-repeat;
	}

	@media (min-width: $screen-sm-min) {
		display: none;
	}

	@media (min-width: $screen-md-min) {

	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {

	}
}